Genes Proteins
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/proteinsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/proteins"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/proteins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene": "<string>",
"protein": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Genes Proteins
Retrieve proteins from genes.
Set verbose = true to retrieve full info on the proteins.
At least one of these fields is required: gene_id, hgnc_id, gene_name, alias.
Example: gene_name = ATF3,
alias = CKLF,
gene_id = ENSG00000170558 (Ensembl ID),
hgnc_id = HGNC:13723.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Genes Proteins
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/proteinsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/proteins"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/proteins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene": "<string>",
"protein": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Mus musculus, Homo sapiens Available options:
true, false